// 全局樣式

@import './quasar.variables.sass'

body
  font-family: "Noto Sans TC", "Roboto", "JhengHei", sans-serif !important

.c-row
  display: flex
.c-col
  display: flex
  flex-direction: column

.text-ellipsis
  overflow: hidden !important
  display: -webkit-box !important
  text-overflow: ellipsis !important
  -webkit-line-clamp: 1 !important
  -webkit-box-orient: vertical !important

// 滾動條
  /* width */
::-webkit-scrollbar
  width: 6px
  height: 6px
/* Track */
::-webkit-scrollbar-track
  padding: 5px
  background: rgba(#BCBCBC, 0.2)
  border-radius: 999px
/* Handle */
::-webkit-scrollbar-thumb
  background: rgba(#BCBCBC, 1)
  border-radius: 999px
/* Handle on hover */
::-webkit-scrollbar-thumb:hover
  background: rgba(#BCBCBC, 1)

.page
  width: 100%
  height: 100%
  display: flex
  flex-direction: column
  justify-content: center
  align-items: center

.w-300px
  width: 300px
.w-600px
  width: 600px

.h-600px
  height: 600px

.min-w-500px
  min-width: 500px
.min-w-600px
  min-width: 600px

.\!p-0px
  padding: 0 !important
.p-5px
  padding: 5px
.p-10px
  padding: 10px

.pr-10px
  padding-right: 10px

.px-5px
  padding-left: 5px
  padding-right: 5px

.py-5px
  padding-top: 5px
  padding-bottom: 5px
.py-8px
  padding-top: 8px
  padding-bottom: 8px

.mx-5px
  margin-left: 5px
  margin-right: 5px

.mt-20px
  margin-top: 20px
.mt-30px
  margin-top: 30px

.mr-20px
  margin-right: 20px

.ml-10px
  margin-left: 10px
.ml-20px
  margin-left: 20px
.ml-30px
  margin-left: 30px

.gap-5px
  gap: 5px
.gap-10px
  gap: 10px


.text-24px
  font-size: 24px

.opacity-0
  opacity: 0

.flex-1
  flex: 1

.relative
  position: relative

.pointer-events-none
  pointer-events: none